function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var Paper = _interopDefault(require('@material-ui/core/Paper'));
var Grid = _interopDefault(require('@material-ui/core/Grid'));
var lab = require('@material-ui/lab');

function CustomArray_brackets(props) {
  var brackets_style = {
    color: 'black'
  };
  return /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement("span", {
    style: brackets_style
  }, "[ ", " "), props.children, /*#__PURE__*/React.createElement("span", {
    style: brackets_style
  }, " ],", " "));
}

function Custom_comma() {
  var comma_style = {
    color: 'black'
  };
  return /*#__PURE__*/React.createElement("span", {
    style: comma_style
  }, ",");
}

function Inner_object(props) {
  var Object_Dots = function Object_Dots(props) {
    return /*#__PURE__*/React.createElement("span", {
      style: {
        color: 'black',
        fontSize: '12px'
      }
    }, /*#__PURE__*/React.createElement("span", null, "" + (props.inside_array ? '{' : ': {')), /*#__PURE__*/React.createElement("div", {
      style: {
        display: 'flex',
        flexDirection: 'column',
        paddingLeft: '20px'
      }
    }, props.children), /*#__PURE__*/React.createElement("span", null, '},'));
  };

  return /*#__PURE__*/React.createElement(Object_Dots, {
    inside_array: props.inside_array
  }, props.children);
}

var ID = function ID() {
  return '_' + Math.random().toString(36).substr(2, 9);
};

var Dots = function Dots() {
  return /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'black',
      fontSize: '12px'
    }
  }, ": ");
};

function Custom_span(props) {
  var key_style = {
    color: 'rgb(167,49,168)',
    fontSize: '13px'
  };
  var value_style = {
    color: props.value_type === 'number' ? 'rgb(52,34,202)' : props.value_type === 'string' ? 'green' : 'rgb(167,49,168)',
    fontSize: '13px'
  };

  var getArrayElements = function getArrayElements(array) {
    var res = [];
    array.map(function (elem, index) {
      if (elem instanceof Object) {
        for (var _index = 0; _index < props.object_length(elem); _index++) {
          res.push( /*#__PURE__*/React.createElement(Inner_object, {
            key: ID(),
            inside_array: true
          }, props.extract_data(elem)));
        }
      } else {
        if (index < array.length - 1) res.push(elem + ',');else res.push(elem);
      }
    });
    return res;
  };

  return props.array ? /*#__PURE__*/React.createElement("span", {
    style: key_style
  }, "\"" + props.children + "\" ", /*#__PURE__*/React.createElement(Dots, null), /*#__PURE__*/React.createElement(CustomArray_brackets, null, getArrayElements(props.array))) : props.object_ ? /*#__PURE__*/React.createElement("span", {
    style: key_style
  }, "\"" + props.children + "\" ", /*#__PURE__*/React.createElement(Inner_object, null, props.extract_data(props.object_))) : /*#__PURE__*/React.createElement("span", {
    style: key_style
  }, "\"" + props.children + "\" ", /*#__PURE__*/React.createElement(Dots, null), /*#__PURE__*/React.createElement("span", {
    style: value_style
  }, props.value_type === 'string' ? "'" + props.value + "'" : props.value), /*#__PURE__*/React.createElement(Custom_comma, null));
}

var Json_display = function Json_display(_ref) {
  var data = _ref.data,
      height = _ref.height;

  var getObjectLength = function getObjectLength(object) {
    return Object.keys(object).length;
  };

  var return_objects_key = function return_objects_key(object) {
    var keys = [];
    var size = getObjectLength(object);

    for (var index = 0; index < size; index++) {
      if (object[Object.keys(object)[index]] instanceof Array) {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          array: object[Object.keys(object)[index]],
          extract_data: return_objects_key,
          object_length: getObjectLength
        }, Object.keys(object)[index]));
      } else if (object[Object.keys(object)[index]] instanceof Object) {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          object_: object[Object.keys(object)[index]],
          extract_data: return_objects_key
        }, Object.keys(object)[index]));
      } else {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          value_type: typeof object[Object.keys(object)[index]],
          value: object[Object.keys(object)[index]]
        }, Object.keys(object)[index]));
      }
    }

    return keys;
  };

  if (!data) {
    throw new Error('Data passed to Json_display is undefined');
  }

  var custom_style = {
    height: height ? height + "px" : "auto",
    overflowY: height ? "scroll" : 'none'
  };
  return /*#__PURE__*/React.createElement(Grid, {
    item: true,
    xs: 12,
    sm: 6,
    className: "paper"
  }, /*#__PURE__*/React.createElement(Paper, {
    style: custom_style
  }, data.length > 0 ? data.map(function (o) {
    return /*#__PURE__*/React.createElement("div", {
      className: "container",
      key: ID()
    }, return_objects_key(o));
  }) : /*#__PURE__*/React.createElement(Grid, {
    item: true,
    xs: 12,
    sm: 3,
    className: "paper"
  }, /*#__PURE__*/React.createElement(lab.Alert, {
    severity: "info"
  }, /*#__PURE__*/React.createElement(lab.AlertTitle, null, "Info"), "Data passed to Json_display is  ", /*#__PURE__*/React.createElement("strong", null, "empty!")))));
};

exports.Json_display = Json_display;
//# sourceMappingURL=index.js.map
